"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-38/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07AF0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07B80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07C10>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07CA0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07D30>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07DC0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07E50>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07EE0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB07F70>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E040>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E0D0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E160>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E1F0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E280>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E310>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E3A0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E430>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E4C0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E550>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E5E0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E670>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E700>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E790>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E820>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E940>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E8B0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0E9D0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0EA60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0EAF0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0EB80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0EC10>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0ECA0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0ED30>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0EDC0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0EE50>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0EEE0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB0EF70>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11040>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB110D0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11160>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB111F0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11280>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11310>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB113A0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11430>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB114C0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11550>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB115E0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11670>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11700>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11790>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11820>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB118B0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11940>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB119D0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11A60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11AF0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11B80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11C10>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11CA0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11D30>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11DC0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11E50>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11EE0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB11F70>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16160>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16040>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB161F0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16280>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16310>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB163A0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16430>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16550>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB164C0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB165E0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16670>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16700>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16820>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16790>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB168B0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16940>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB169D0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16A60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16AF0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000012B8FB16B80>)]
name: str = 'fr_HOCCN'
